OGRE: Ogre::NULLBufferInterface Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::NULLBufferInterface Class Reference

For GL3+, most (if not all) buffers, can be treated with the same code. More...

`#include <OgreNULLBufferInterface.h>`

Inheritance diagram for Ogre::NULLBufferInterface:
[legend]

## Public Member Functions
| NULLBufferInterface (size_t vboPoolIdx)
| ~NULLBufferInterface ()
virtual void | _ensureDelayedImmutableBuffersAreReady (void)
void | _firstUpload (const void *data, size_t elementStart, size_t elementCount)
| Only use this function for the first upload. More...
virtual void | _notifyBuffer (BufferPacked *buffer)
virtual void | advanceFrame (void)
virtual void | copyTo (BufferInterface *dstBuffer, size_t dstOffsetBytes, size_t srcOffsetBytes, size_t sizeBytes)
BufferPacked * | getBufferPacked (void)
uint8 * | getNullDataPtr (void)
size_t | getVboPoolIndex (void)
virtual void *RESTRICT_ALIAS_RETURN | map (size_t elementStart, size_t elementCount, MappingState prevMappingState, bool advanceFrame=true)
void | nullDataPtr ()
| will null the data ptr so it wont be freed on destruction More...
virtual void | regressFrame (void)
virtual void | unmap (UnmapOptions unmapOption, size_t flushStartElem=0, size_t flushSizeElem=0)
void | upload (const void *data, size_t elementStart, size_t elementCount)

## Detailed Description

For GL3+, most (if not all) buffers, can be treated with the same code.

Hence most equivalent functionality is encapsulated here.

## Constructor & Destructor Documentation

## ◆ NULLBufferInterface()

Ogre::NULLBufferInterface::NULLBufferInterface | ( | size_t | vboPoolIdx | ) |

## ◆ ~NULLBufferInterface()

Ogre::NULLBufferInterface::~NULLBufferInterface | ( |  | ) |

## Member Function Documentation

## ◆ _ensureDelayedImmutableBuffersAreReady()

virtual void Ogre::BufferInterface::_ensureDelayedImmutableBuffersAreReady | ( | void |  | ) |
| virtualinherited

Reimplemented in Ogre::D3D11BufferInterfaceBase.

## ◆ _firstUpload()

void Ogre::NULLBufferInterface::_firstUpload | ( | const void * | data,
|  | size_t | elementStart,
|  | size_t | elementCount
| ) |  |

Only use this function for the first upload.

## ◆ _notifyBuffer()

virtual void Ogre::NULLBufferInterface::_notifyBuffer | ( | BufferPacked * | buffer | ) |
| virtual

Reimplemented from Ogre::BufferInterface.

## ◆ advanceFrame()

virtual void Ogre::NULLBufferInterface::advanceFrame | ( | void |  | ) |
| virtual

Implements Ogre::BufferInterface.

## ◆ copyTo()

virtual void Ogre::NULLBufferInterface::copyTo | ( | BufferInterface * | dstBuffer,
|  | size_t | dstOffsetBytes,
|  | size_t | srcOffsetBytes,
|  | size_t | sizeBytes
| ) |  |
| virtual

Implements Ogre::BufferInterface.

## ◆ getBufferPacked()

BufferPacked* Ogre::BufferInterface::getBufferPacked | ( | void |  | ) |
| inlineinherited

## ◆ getNullDataPtr()

uint8* Ogre::NULLBufferInterface::getNullDataPtr | ( | void |  | ) |
| inline

## ◆ getVboPoolIndex()

size_t Ogre::NULLBufferInterface::getVboPoolIndex | ( | void |  | ) |
| inline

## ◆ map()

virtual void* RESTRICT_ALIAS_RETURN Ogre::NULLBufferInterface::map | ( | size_t | elementStart,
|  | size_t | elementCount,
|  | MappingState | prevMappingState,
|  | bool | advanceFrame = `true`
| ) |  |
| virtual

Implements Ogre::BufferInterface.

## ◆ nullDataPtr()

void Ogre::NULLBufferInterface::nullDataPtr | ( |  | ) |
| inline

will null the data ptr so it wont be freed on destruction

## ◆ regressFrame()

virtual void Ogre::NULLBufferInterface::regressFrame | ( | void |  | ) |
| virtual

Implements Ogre::BufferInterface.

## ◆ unmap()

virtual void Ogre::NULLBufferInterface::unmap | ( | UnmapOptions | unmapOption,
|  | size_t | flushStartElem = `0`,
|  | size_t | flushSizeElem = `0`
| ) |  |
| virtual

Implements Ogre::BufferInterface.

## ◆ upload()

void Ogre::BufferInterface::upload | ( | const void * | data,
|  | size_t | elementStart,
|  | size_t | elementCount
| ) |  |
| inherited

The documentation for this class was generated from the following file:

- OgreNULLBufferInterface.h